<script setup lang="ts">
import { defineProps, computed } from "vue";
import { RouterLink, useRoute } from "vue-router";

const route = useRoute();

const props = defineProps<{
  to: string;
  name: string;
}>();

const isActive = computed(() => {
  return route.path === props.to;
});
</script>

<template>
  <RouterLink
    v-if="isActive"
    :to="props.to"
    class="block w-full rounded-md bg-gray-500 px-4 py-2 text-white transition duration-100 hover:bg-gray-500/80"
  >
    {{ name }}
  </RouterLink>
  <RouterLink
    v-else
    :to="props.to"
    class="block w-full rounded-md px-4 py-2 text-gray-800 transition duration-100 hover:bg-gray-500/50 hover:text-white"
  >
    {{ name }}
  </RouterLink>
</template>
